<?php
require_once("../includes/clase_sesion.php");
$sesion=new sesion(); // inicio la sesion
require_once("../includes/funciones_generales.php");

if(!comprobar_sesion()){
	$ar=array();
	$ar['error']='session';
	echo json_encode($ar);
	exit;
}

require_once("../includes/MySQL.php");
$academia = new Servidor_Base_Datos(AC_CONN_HOST,AC_CONN_USER,AC_CONN_PASS,AC_CONN_DB."".$sesion->get('anio'));
?>

<?php

////header ('Content-type: text/html; charset=utf8');
$codigrol=$academia->escapar($_POST['rol_usuario'],'int'); // CODIGO DEL rol
$codigofor=$_POST['codigofor']; //para saber el nivel del formulario array los codigos separados por punto
$ideform=$_POST['txtidefor'];
$valper=$_POST['txtvalper']; //trae el codigo del permiso
//$tipact=$_POST['txttipact'];

$cmb_per=strtolower($academia->escapar($_POST[cmb_per]));

$numg=0;
$sql_elimina="DELETE FROM conf_per_modulos WHERE ide_tip_usuario=".$codigrol;
//echo $sql_elimina;
$academia->instruccion($sql_elimina);
$error=0;
for($i=0; $i<count($ideform); $i++){
	$codfor=$codigofor[$i];
	$id_for=$ideform[$i];
	$numper=$valper[$i]; // cogemos el permiso para el formulario
	if($numper>2){
		$sql= "CALL SP_NEW_PERMISO_ROL($codigrol,'$codfor',$numper);";
		//echo $sql."<br>";
		$academia->instruccion($sql);
		if($academia->extraer_error()>0)
			$error++;
	}
}

if($cmb_per=='s'){
	$sql="CALL SP_CAMBIA_PERM_US_ROL('$codigrol')";	
	$academia->instruccion($sql);
}
$academia->cerrar();

echo $error;

?>